Zum Inhalt springen
In der Referenz stöbern
Alle Ressourcen

Webhooks

8 Endpunkte · Die Endpunktbeschreibungen sind auf Englisch.

List webhook subscriptions for this household (no secrets)

GET/households/{householdId}/webhooks/subscriptions
read:webhooks
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X GET https://api.vokse.ai/households/current/webhooks/subscriptions
Antwort200 · Success

Register an outbound webhook subscription. Secret returned ONCE in the response.

POST/households/{householdId}/webhooks/subscriptions
write:webhooks
Request-Body
json
{  "url": "https://example.com/hooks/vokse",  "eventTypes": [    "transaction.created",    "budget.overrun"  ]}
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Content-Type: application/json" \     -H "Idempotency-Key: $(uuidgen)" \     -X POST https://api.vokse.ai/households/current/webhooks/subscriptions \     -d '{"url":"https://example.com/hooks/vokse","eventTypes":["transaction.created","budget.overrun"]}'
Antwort201 · Success

Update url / eventTypes / status of a subscription

PATCH/households/{householdId}/webhooks/subscriptions/{id}
write:webhooks

Parameter

NameOrtErforderlich
idpathErforderlich
Request-Body
json
{  "eventTypes": [    "transaction.created"  ]}
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Content-Type: application/json" \     -H "Idempotency-Key: $(uuidgen)" \     -X PATCH https://api.vokse.ai/households/current/webhooks/subscriptions/{id} \     -d '{"eventTypes":["transaction.created"]}'
Antwort200 · Success

Delete a webhook subscription + every associated delivery

DELETE/households/{householdId}/webhooks/subscriptions/{id}
write:webhooks

Parameter

NameOrtErforderlich
idpathErforderlich
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X DELETE https://api.vokse.ai/households/current/webhooks/subscriptions/{id}
Antwort204 · No content

Recent delivery log for this subscription

GET/households/{householdId}/webhooks/subscriptions/{id}/deliveries
read:webhooks

Parameter

NameOrtErforderlich
idpathErforderlich
limitqueryErforderlich
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X GET https://api.vokse.ai/households/current/webhooks/subscriptions/{id}/deliveries
Antwort200 · Success

Queue a past delivery again with its original payload

POST/households/{householdId}/webhooks/subscriptions/{id}/deliveries/{deliveryId}/retry
write:webhooks

Parameter

NameOrtErforderlich
idpathErforderlich
deliveryIdpathErforderlich
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Idempotency-Key: $(uuidgen)" \     -X POST https://api.vokse.ai/households/current/webhooks/subscriptions/{id}/deliveries/{deliveryId}/retry
Antwort202 · Success

Rotate the HMAC signing secret for this subscription (returned ONCE)

POST/households/{householdId}/webhooks/subscriptions/{id}/rotate-secret
write:webhooks

Parameter

NameOrtErforderlich
idpathErforderlich
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Idempotency-Key: $(uuidgen)" \     -X POST https://api.vokse.ai/households/current/webhooks/subscriptions/{id}/rotate-secret
Antwort200 · Success

Send a signed test delivery to this subscription through the real delivery path

POST/households/{householdId}/webhooks/subscriptions/{id}/test
write:webhooks

Parameter

NameOrtErforderlich
idpathErforderlich
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Idempotency-Key: $(uuidgen)" \     -X POST https://api.vokse.ai/households/current/webhooks/subscriptions/{id}/test
Antwort202 · Success